> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Attributes

Creates a new Attribute request to compute the Account's attributes.
The attributes returned depend on the account's liability type.

Operation Type: 🔄 Asynchronous (Your request is queued for processing. You'll receive a response immediately, and can poll or listen for webhooks to get the final result.)

## Path Parameters

## Body

Both fields are optional. A request with no body computes the full set of attributes
for the account type. Provide `requested_attributes`, `bundles`, or both to scope the
response's `attributes` object to just the requested attributes.

## Returns

Returns an Account's Attributes object with `status: "in_progress"` and `attributes: null`.
Once processing completes, the status will update to `completed` and the `attributes` object
will be populated. Subscribe to [webhooks](https://docs.methodfi.com/2026-03-30/reference/webhooks/overview.md) or poll the
[retrieve endpoint](https://docs.methodfi.com/2026-03-30/reference/accounts/attributes/retrieve.md) to get the final result.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/attributes \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bundles": ["statement"]
  }'
```

```javascript Node.js theme={null}
const attribute = await method
  .accounts('acc_4m9amk4KFiaQX')
  .attributes
  .create();
```

```python Python theme={null}
attribute = method
  .accounts('acc_4m9amk4KFiaQX')
  .attributes
  .create()
```

```json theme={null}
{
  "success": true,
  "data": {
    "id": "acc_attr_cWBKqwVP87kim",
    "account_id": "acc_4m9amk4KFiaQX",
    "status": "in_progress",
    "attributes": null,
    "error": null,
    "created_at": "2026-04-09T17:02:47.910Z",
    "updated_at": "2026-04-09T17:02:47.910Z"
  },
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.